The Data Analytics API with Gemini (geminidataanalytics.googleapis.com) provides methods to query and analyze data by using natural language, and to create and manage the data agents that interact with your data in supported data sources.
This service is in Preview and is subject to the Pre-GA Offerings Terms. Developers should select the appropriate endpoint path based on their stability requirements:
- v1beta: Recommended for integrating into production environments during the Preview period.
- v1alpha: Intended for testing early-access features. These features might change or be removed, potentially requiring updates to your code.
Learn more about Google Cloud product launch stages.
For detailed implementation guides, see the Conversational Analytics API overview.
- REST Resource: v1beta.projects.locations
- REST Resource: v1beta.projects.locations.conversations
- REST Resource: v1beta.projects.locations.conversations.messages
- REST Resource: v1beta.projects.locations.dataAgents
- REST Resource: v1beta.projects.locations.operations
- REST Resource: v1alpha.projects.locations
- REST Resource: v1alpha.projects.locations.conversations
- REST Resource: v1alpha.projects.locations.conversations.messages
- REST Resource: v1alpha.projects.locations.dataAgents
- REST Resource: v1alpha.projects.locations.operations
Service: geminidataanalytics.googleapis.com
To call this service, we recommend that you use the Google-provided client libraries. If your application needs to use your own libraries to call this service, use the following information when you make the API requests.
Discovery document
A Discovery Document is a machine-readable specification for describing and consuming REST APIs. It is used to build client libraries, IDE plugins, and other tools that interact with Google APIs. One service may provide multiple discovery documents. This service provides the following discovery documents:
Service endpoint
A service endpoint is a base URL that specifies the network address of an API service. One service might have multiple service endpoints. This service has the following service endpoint and all URIs below are relative to this service endpoint:
https://geminidataanalytics.googleapis.com
REST Resource: v1beta.projects.locations
| Methods | |
|---|---|
chat |
POST /v1beta/{parent=projects/*/locations/*}:chat Answers a data question by generating a stream of Message objects. |
get |
GET /v1beta/{name=projects/*/locations/*} Gets information about a location. |
list |
GET /v1beta/{name=projects/*}/locations Lists information about the supported locations for this service. |
queryData |
POST /v1beta/{parent=projects/*/locations/*}:queryData Queries data from a natural language user query. |
REST Resource: v1beta.projects.locations.conversations
| Methods | |
|---|---|
create |
POST /v1beta/{parent=projects/*/locations/*}/conversations Creates a new conversation to persist the conversation history. |
delete |
DELETE /v1beta/{name=projects/*/locations/*/conversations/*} Deletes a conversation. |
get |
GET /v1beta/{name=projects/*/locations/*/conversations/*} Gets details of a single conversation by using conversation id and parent. |
list |
GET /v1beta/{parent=projects/*/locations/*}/conversations Lists all conversations for a given parent. |
REST Resource: v1beta.projects.locations.conversations.messages
| Methods | |
|---|---|
list |
GET /v1beta/{parent=projects/*/locations/*/conversations/*}/messages Lists all messages for a given conversation. |
REST Resource: v1beta.projects.locations.dataAgents
| Methods | |
|---|---|
create |
POST /v1beta/{parent=projects/*/locations/*}/dataAgents Creates a new DataAgent in a given project and location. |
createSync |
POST /v1beta/{parent=projects/*/locations/*}/dataAgents:createSync Creates a new DataAgent in a given project and location synchronously. |
delete |
DELETE /v1beta/{name=projects/*/locations/*/dataAgents/*} Deletes a single DataAgent. |
deleteSync |
DELETE /v1beta/{name=projects/*/locations/*/dataAgents/*}:deleteSync Deletes a single DataAgent synchronously. |
get |
GET /v1beta/{name=projects/*/locations/*/dataAgents/*} Gets details of a single DataAgent. |
getIamPolicy |
POST /v1beta/{resource=projects/*/locations/*/dataAgents/*}:getIamPolicy Gets the IAM policy for DataAgent |
list |
GET /v1beta/{parent=projects/*/locations/*}/dataAgents Lists DataAgents in a given project and location. |
listAccessible |
GET /v1beta/{parent=projects/*/locations/*}/dataAgents:listAccessible Lists DataAgents that are accessible to the caller in a given project and location. |
patch |
PATCH /v1beta/{dataAgent.name=projects/*/locations/*/dataAgents/*} Updates the parameters of a single DataAgent. |
setIamPolicy |
POST /v1beta/{resource=projects/*/locations/*/dataAgents/*}:setIamPolicy Sets the IAM policy for a DataAgent. |
updateSync |
PATCH /v1beta/{dataAgent.name=projects/*/locations/*/dataAgents/*}:updateSync Updates the parameters of a single DataAgent synchronously. |
REST Resource: v1beta.projects.locations.operations
| Methods | |
|---|---|
cancel |
POST /v1beta/{name=projects/*/locations/*/operations/*}:cancel Starts asynchronous cancellation on a long-running operation. |
delete |
DELETE /v1beta/{name=projects/*/locations/*/operations/*} Deletes a long-running operation. |
get |
GET /v1beta/{name=projects/*/locations/*/operations/*} Gets the latest state of a long-running operation. |
list |
GET /v1beta/{name=projects/*/locations/*}/operations Lists operations that match the specified filter in the request. |
REST Resource: v1alpha.projects.locations
| Methods | |
|---|---|
chat |
POST /v1alpha/{parent=projects/*/locations/*}:chat Answers a data question by generating a stream of Message objects. |
get |
GET /v1alpha/{name=projects/*/locations/*} Gets information about a location. |
list |
GET /v1alpha/{name=projects/*}/locations Lists information about the supported locations for this service. |
queryData |
POST /v1alpha/{parent=projects/*/locations/*}:queryData Queries data from a natural language user query. |
REST Resource: v1alpha.projects.locations.conversations
| Methods | |
|---|---|
create |
POST /v1alpha/{parent=projects/*/locations/*}/conversations Creates a new conversation to persist the conversation history. |
delete |
DELETE /v1alpha/{name=projects/*/locations/*/conversations/*} Deletes a conversation. |
get |
GET /v1alpha/{name=projects/*/locations/*/conversations/*} Gets details of a single conversation by using conversation id and parent. |
list |
GET /v1alpha/{parent=projects/*/locations/*}/conversations Lists all conversations for a given parent. |
REST Resource: v1alpha.projects.locations.conversations.messages
| Methods | |
|---|---|
list |
GET /v1alpha/{parent=projects/*/locations/*/conversations/*}/messages Lists all messages for a given conversation. |
REST Resource: v1alpha.projects.locations.dataAgents
| Methods | |
|---|---|
create |
POST /v1alpha/{parent=projects/*/locations/*}/dataAgents Creates a new DataAgent in a given project and location. |
createSync |
POST /v1alpha/{parent=projects/*/locations/*}/dataAgents:createSync Creates a new DataAgent in a given project and location synchronously. |
delete |
DELETE /v1alpha/{name=projects/*/locations/*/dataAgents/*} Deletes a single DataAgent. |
deleteSync |
DELETE /v1alpha/{name=projects/*/locations/*/dataAgents/*}:deleteSync Deletes a single DataAgent synchronously. |
get |
GET /v1alpha/{name=projects/*/locations/*/dataAgents/*} Gets details of a single DataAgent. |
getIamPolicy |
POST /v1alpha/{resource=projects/*/locations/*/dataAgents/*}:getIamPolicy Gets the IAM policy for DataAgent |
list |
GET /v1alpha/{parent=projects/*/locations/*}/dataAgents Lists DataAgents in a given project and location. |
listAccessible |
GET /v1alpha/{parent=projects/*/locations/*}/dataAgents:listAccessible Lists DataAgents that are accessible to the caller in a given project and location. |
patch |
PATCH /v1alpha/{dataAgent.name=projects/*/locations/*/dataAgents/*} Updates the parameters of a single DataAgent. |
setIamPolicy |
POST /v1alpha/{resource=projects/*/locations/*/dataAgents/*}:setIamPolicy Sets the IAM policy for a DataAgent. |
updateSync |
PATCH /v1alpha/{dataAgent.name=projects/*/locations/*/dataAgents/*}:updateSync Updates the parameters of a single DataAgent synchronously. |
REST Resource: v1alpha.projects.locations.operations
| Methods | |
|---|---|
cancel |
POST /v1alpha/{name=projects/*/locations/*/operations/*}:cancel Starts asynchronous cancellation on a long-running operation. |
delete |
DELETE /v1alpha/{name=projects/*/locations/*/operations/*} Deletes a long-running operation. |
get |
GET /v1alpha/{name=projects/*/locations/*/operations/*} Gets the latest state of a long-running operation. |
list |
GET /v1alpha/{name=projects/*/locations/*}/operations Lists operations that match the specified filter in the request. |